uuid: 6bffa575-73c1-40dc-8cfc-e925ef8b34f6
langcode: fr
status: true
dependencies: {  }
_core:
  default_config_hash: I6GROOhFniRjxHdI9dtO9yVSViggMTS5H7jUOHZEMIU
id: d7_node_actu
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
  - Popsu
migration_group: popsu
label: 'Node actu'
source:
  plugin: d7_node_actu
  batch_size: 500
process:
  type:
    plugin: default_value
    default_value: actualite
  created: created
  changed: changed
  uid:
    plugin: default_value
    default_value: 34
  title: title
  field_sous_titre: field_popsu_actu_soustitre
  promote:
    plugin: default_value
    default_value: 0
    source: field_popsu_actu_enhome
  field_dates_actu:
    -
      plugin: skip_on_empty
      method: process
      source: field_date
    -
      plugin: sub_process
      process:
        value:
          plugin: format_date
          from_format: 'Y-m-d H:i:s'
          to_format: 'Y-m-d\TH:i:s'
          source: value
        end_value:
          plugin: format_date
          from_format: 'Y-m-d H:i:s'
          to_format: 'Y-m-d\TH:i:s'
          source: end
        timezone:
          plugin: default_value
          default_value: ''
  body:
    plugin: sub_process
    source: field_popsu_actu_body
    process:
      value: value
      summary: summary
      format:
        plugin: default_value
        default_value: wysiwyg
  field_fichier:
    plugin: sub_process
    source: field_popsu_actu_attachment
    process:
      target_id:
        plugin: migration_lookup
        migration: d7_allpublicfiles
        source: fid
        no_stub: true
      display: display
      description: description
  field_image:
    plugin: sub_process
    source: field_popsu_actu_image
    process:
      target_id:
        plugin: migration_lookup
        migration: d7_allpublicfiles
        source: fid
        no_stub: true
      alt: alt
      title: title
  field_memo: field_memo
destination:
  plugin: 'entity:node'
migration_dependencies:
  required:
    - d7_allpublicfiles
